### Function

# GLib unicode_canonical_decomposition

deprecated: 2.30

#### Declaration [src]

    gunichar*
    g_unicode_canonical_decomposition (
      gunichar ch,
      gsize* result_len
    )

#### Description [src]

Computes the canonical decomposition of a Unicode character.

Deprecated since: 2.30

Use the more flexible `g_unichar_fully_decompose()` instead.

#### Parameters

`ch`

  Type: `gunichar`

  A Unicode character.

`result_len`

  Type: `gsize*`

  Location to store the length of the return value.

  The data is owned by the caller of the function.

#### Return value

Type: `gunichar*`

A newly allocated string of Unicode characters. `result_len` is set to the resulting length of the string.

The data is owned by the called function.